org.apache.fop.svg.text

## Class BidiAttributedCharacterIterator

- java.lang.Object
- - org.apache.fop.svg.text.BidiAttributedCharacterIterator

All Implemented Interfaces:
  Cloneable, AttributedCharacterIterator, CharacterIterator

    public class BidiAttributedCharacterIterator
    extends Object
    implements AttributedCharacterIterator

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.text.AttributedCharacterIterator

`AttributedCharacterIterator.Attribute`

### Field Summary

### Fields inherited from interface java.text.CharacterIterator

`DONE`

### Constructor Summary

Constructors
`protected` `BidiAttributedCharacterIterator(AttributedCharacterIterator aci)`
`` `BidiAttributedCharacterIterator(AttributedCharacterIterator aci, int defaultBidiLevel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`char` `current()`
`char` `first()`
`Set<AttributedCharacterIterator.Attribute>` `getAllAttributeKeys()`
`Object` `getAttribute(AttributedCharacterIterator.Attribute attribute)`
`Map<AttributedCharacterIterator.Attribute,Object>` `getAttributes()`
`int` `getBeginIndex()`
`int` `getEndIndex()`
`int` `getIndex()`
`int` `getRunLimit()`
`int` `getRunLimit(AttributedCharacterIterator.Attribute attribute)`
`int` `getRunLimit(Set<? extends AttributedCharacterIterator.Attribute> attributes)`
`int` `getRunStart()`
`int` `getRunStart(AttributedCharacterIterator.Attribute attribute)`
`int` `getRunStart(Set<? extends AttributedCharacterIterator.Attribute> attributes)`
`char` `last()`
`char` `next()`
`char` `previous()`
`char` `setIndex(int position)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BidiAttributedCharacterIterator

    protected BidiAttributedCharacterIterator(AttributedCharacterIterator aci)

#### BidiAttributedCharacterIterator

    public BidiAttributedCharacterIterator(AttributedCharacterIterator aci,
                                           int defaultBidiLevel)

### Method Detail

#### first

    public char first()

Specified by:
  `first` in interface `CharacterIterator`

#### last

    public char last()

Specified by:
  `last` in interface `CharacterIterator`

#### current

    public char current()

Specified by:
  `current` in interface `CharacterIterator`

#### next

    public char next()

Specified by:
  `next` in interface `CharacterIterator`

#### previous

    public char previous()

Specified by:
  `previous` in interface `CharacterIterator`

#### setIndex

    public char setIndex(int position)

Specified by:
  `setIndex` in interface `CharacterIterator`

#### getBeginIndex

    public int getBeginIndex()

Specified by:
  `getBeginIndex` in interface `CharacterIterator`

#### getEndIndex

    public int getEndIndex()

Specified by:
  `getEndIndex` in interface `CharacterIterator`

#### getIndex

    public int getIndex()

Specified by:
  `getIndex` in interface `CharacterIterator`

#### clone

    public Object clone()

Specified by:
  `clone` in interface `CharacterIterator`
Overrides:
  `clone` in class `Object`

#### getRunStart

    public int getRunStart()

Specified by:
  `getRunStart` in interface `AttributedCharacterIterator`

#### getRunStart

    public int getRunStart(AttributedCharacterIterator.Attribute attribute)

Specified by:
  `getRunStart` in interface `AttributedCharacterIterator`

#### getRunStart

    public int getRunStart(Set<? extends AttributedCharacterIterator.Attribute> attributes)

Specified by:
  `getRunStart` in interface `AttributedCharacterIterator`

#### getRunLimit

    public int getRunLimit()

Specified by:
  `getRunLimit` in interface `AttributedCharacterIterator`

#### getRunLimit

    public int getRunLimit(AttributedCharacterIterator.Attribute attribute)

Specified by:
  `getRunLimit` in interface `AttributedCharacterIterator`

#### getRunLimit

    public int getRunLimit(Set<? extends AttributedCharacterIterator.Attribute> attributes)

Specified by:
  `getRunLimit` in interface `AttributedCharacterIterator`

#### getAttributes

    public Map<AttributedCharacterIterator.Attribute,Object> getAttributes()

Specified by:
  `getAttributes` in interface `AttributedCharacterIterator`

#### getAttribute

    public Object getAttribute(AttributedCharacterIterator.Attribute attribute)

Specified by:
  `getAttribute` in interface `AttributedCharacterIterator`

#### getAllAttributeKeys

    public Set<AttributedCharacterIterator.Attribute> getAllAttributeKeys()

Specified by:
  `getAllAttributeKeys` in interface `AttributedCharacterIterator`